Page MenuHomePhabricator

Improve individual NUX states (application level)
Closed, ResolvedPublic

Description

Container task to track the progress of having some basic NUX for each application.

ApplicationStatus
AuditBasic
Calendar (Prototype)
Conpherence
DashboardsBoards (Basic), Panels (Needs Modernization)
DifferentialNeed Modernization
DiffusionBasic
Feed
ManiphestBasic
People
Phame (Prototype)Custom
PholioBasic
PhrictionCustom
Phurl (Prototype)Basic
PonderBasic
ProjectsBasic
Releeph (Prototype)
Almanac (Prototype)
Badges (Prototype)Basic
ChatLog (Prototype)n/a
CountdownBasic
Diviner
Drydock (Prototype)
Facts (Prototype)
FilesNeeds Modernization
Flags
Fund (Prototype)
Harbormaster
HeraldNeeds Moderization
LegalpadNeeds Modernization
MacroBasic
OwnersBasic
PassphraseBasic
PasteBasic
Phlux (Prototype)
Phortune (Prototype)
Phragment (Prototype)
SlowvoteBasic
SpacesBasic
Tokens
Config
Daemons
Mail
OAuth Server (Prototype)
Conduit
Multimeter (Prototype)
PHPAST
UIExamples (Prototype)n/a
XHProf

Event Timeline

chad created this task.Dec 21 2015, 7:34 PM
chad updated the task description. (Show Details)Dec 21 2015, 8:09 PM
chad triaged this task as High priority.Dec 21 2015, 8:37 PM
chad updated the task description. (Show Details)
chad updated the task description. (Show Details)Dec 21 2015, 8:48 PM
chad updated the task description. (Show Details)Dec 21 2015, 8:52 PM
chad updated the task description. (Show Details)Dec 21 2015, 9:02 PM
chad updated the task description. (Show Details)Dec 21 2015, 9:04 PM
chad updated the task description. (Show Details)Dec 21 2015, 10:14 PM
chad added a comment.Dec 22 2015, 8:37 PM

DifferentialRevisionQuery looks scary to modernize.

chad added a comment.Dec 22 2015, 8:37 PM

But it's the last "application blank state" on a Phacility instance.

chad added a comment.Dec 24 2015, 6:27 PM

@epriestley not sure if you saw this, but all apps installed by default on the sidenav have a reasonable blank state except for Differential. Not sure how much work there is to modernize RevisionQuery there.

Oh, I was thinking this needed a whole pile of work (like, all of T9372) but I don't think it actually does. I'll take a look.

chad closed this task as Resolved.Aug 6 2017, 2:42 AM

Resolved enough.